package cn.iocoder.yudao.module.mes.controller.admin.plan.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum PlanStatusEnum {

    计划(0),
    已排产(1),
    量产(2),
    暂停(3),
    完工(4),
    已入库(5),
    试产 (6),
    待入库(7);

    private final int value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static PlanStatusEnum fromValue(int value) {
        for (PlanStatusEnum status : PlanStatusEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}